Support Questions
Find answers, ask questions, and share your expertise

Current database store version is not compatible with current server version, serverVersion=2.7.3.0, schemaVersion=2.7.1

Highlighted

Current database store version is not compatible with current server version, serverVersion=2.7.3.0, schemaVersion=2.7.1

New Contributor

Hi Everyone,

During the Ambari migration from Ambari 2.7.1 to Ambari 2.7.3 using the command "ambari-server upgrade --verbose", I've got the error below (se the last lines).

I've done the process contained in this documentation.

https://docs.hortonworks.com/HDPDocuments/HDF3/HDF-3.2.0/ambari-managed-hdf-upgrade/content/hdf-upgr...

Details:

Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=128m; support was removed in 8.0 Jan 24, 2019 4:51:28 PM com.google.inject.assistedinject.FactoryProvider2 isValidForOptimizedAssistedInject WARNING: AssistedInject factory org.apache.ambari.server.state.cluster.ClusterFactory will be slow because class org.apache.ambari.server.state.cluster.ClusterImpl has assisted Provider dependencies or injects the Injector. Stop injecting @Assisted Provider<T> (instead use @Assisted T) or Injector to speed things up. (It will be a ~6500% speed bump!) The exact offending deps are: [Key[type=com.google.inject.Injector, annotation=[none]]@org.apache.ambari.server.state.cluster.ClusterImpl.<init>()[1]] Jan 24, 2019 4:51:29 PM com.google.inject.assistedinject.FactoryProvider2 isValidForOptimizedAssistedInject WARNING: AssistedInject factory org.apache.ambari.server.controller.ResourceProviderFactory will be slow because class org.apache.ambari.server.controller.internal.HostComponentResourceProvider has assisted Provider dependencies or injects the Injector. Stop injecting @Assisted Provider<T> (instead use @Assisted T) or Injector to speed things up. (It will be a ~6500% speed bump!) The exact offending deps are: [Key[type=com.google.inject.Injector, annotation=[none]]@org.apache.ambari.server.controller.internal.HostComponentResourceProvider.<init>()[1]] Jan 24, 2019 4:51:29 PM com.google.inject.assistedinject.FactoryProvider2 isValidForOptimizedAssistedInject WARNING: AssistedInject factory org.apache.ambari.server.state.scheduler.RequestExecutionFactory will be slow because class org.apache.ambari.server.state.scheduler.RequestExecutionImpl has assisted Provider dependencies or injects the Injector. Stop injecting @Assisted Provider<T> (instead use @Assisted T) or Injector to speed things up. (It will be a ~6500% speed bump!) The exact offending deps are: [Key[type=com.google.inject.Injector, annotation=[none]]@org.apache.ambari.server.state.scheduler.RequestExecutionImpl.<init>()[2]] Jan 24, 2019 4:51:29 PM com.google.inject.assistedinject.FactoryProvider2 isValidForOptimizedAssistedInject WARNING: AssistedInject factory org.apache.ambari.server.state.scheduler.RequestExecutionFactory will be slow because class org.apache.ambari.server.state.scheduler.RequestExecutionImpl has assisted Provider dependencies or injects the Injector. Stop injecting @Assisted Provider<T> (instead use @Assisted T) or Injector to speed things up. (It will be a ~6500% speed bump!) The exact offending deps are: [Key[type=com.google.inject.Injector, annotation=[none]]@org.apache.ambari.server.state.scheduler.RequestExecutionImpl.<init>()[3]] Jan 24, 2019 4:51:30 PM com.google.inject.internal.ProxyFactory <init> WARNING: Method [public void org.apache.ambari.server.orm.dao.RepositoryVersionDAO.create(java.lang.Object)] is synthetic and is being intercepted by [org.apache.ambari.server.orm.AmbariJpaLocalTxnInterceptor@67efd2c2]. This could indicate a bug. The method may be intercepted twice, or may not be intercepted at all. Jan 24, 2019 4:51:30 PM com.google.inject.internal.ProxyFactory <init> WARNING: Method [public void org.apache.ambari.server.orm.dao.AmbariConfigurationDAO.create(java.lang.Object)] is synthetic and is being intercepted by [org.apache.ambari.server.orm.AmbariJpaLocalTxnInterceptor@67efd2c2]. This could indicate a bug. The method may be intercepted twice, or may not be intercepted at all. Jan 24, 2019 4:51:30 PM com.google.inject.internal.ProxyFactory <init> WARNING: Method [public void org.apache.ambari.server.orm.dao.HostVersionDAO.create(java.lang.Object)] is synthetic and is being intercepted by [org.apache.ambari.server.orm.AmbariJpaLocalTxnInterceptor@67efd2c2]. This could indicate a bug. The method may be intercepted twice, or may not be intercepted at all. Jan 24, 2019 4:51:31 PM com.google.inject.internal.ProxyFactory <init> WARNING: Method [public java.lang.Object org.apache.ambari.server.topology.tasks.ConfigureClusterTask.call() throws java.lang.Exception] is synthetic and is being intercepted by [org.apache.ambari.server.security.authorization.internal.InternalAuthenticationInterceptor@51a18b21]. This could indicate a bug. The method may be intercepted twice, or may not be intercepted at all. An unexpected error occured during starting Ambari Server. org.apache.ambari.server.AmbariException: Current database store version is not compatible with current server version, serverVersion=2.7.3.0, schemaVersion=2.7.1 at org.apache.ambari.server.checks.DatabaseConsistencyCheckHelper.checkDBVersionCompatible(DatabaseConsistencyCheckHelper.java:248) at org.apache.ambari.server.controller.AmbariServer.main(AmbariServer.java:1099)

1 REPLY 1
Highlighted

Re: Current database store version is not compatible with current server version, serverVersion=2.7.3.0, schemaVersion=2.7.1

Mentor

@Igor Borlot Borba

Have you validated against theHCC support matrix